<?php
	$fevr_meta_fields = get_post_meta( get_the_ID(), 'fevr_meta', true);
	global $fevr_featured_class, $fevr_show_thumbnail, $fevr_blog_title_typography_classes;
	
	$show_date = fevr_check_luvoption('blog-date-meta', 'hide-on-archive', '!=') && fevr_check_luvoption('blog-date-meta', 'hide-on-both', '!=');
	
	// When the blog layout is masonry or timeline.
	$show_bottom_meta = false;
	if((fevr_check_luvoption('blog-layout-style', 'masonry') &&  fevr_check_luvoption('blog-masonry-layout', 'standard')) || fevr_check_luvoption('blog-layout-style', 'timeline')) {
		$show_bottom_meta = true;
	}
	
	$show_bottom_meta = ((!is_single() || fevr_is_luv_shortcode()) && $show_bottom_meta && $show_date);
	$post_content_spacing = ($show_bottom_meta ? 'post-content-spacing' : '');
	
	// Attributes for <video>
	$fevr_video_attributes = array();
	
	// Autoplay
	if(isset($fevr_meta_fields['post-video-autoplay']) && $fevr_meta_fields['post-video-autoplay'] == 'enabled') {
		$fevr_video_attributes[] = 'autoplay';
	}
	
	// Loop
	if(isset($fevr_meta_fields['post-video-loop']) && $fevr_meta_fields['post-video-loop'] == 'enabled') {
		$fevr_video_attributes[] = 'loop';
	}
	
	// Mute
	if(isset($fevr_meta_fields['post-video-mute']) && $fevr_meta_fields['post-video-mute'] == 'enabled') {
		$fevr_video_attributes[] = 'muted';
	}
	
	// Controls
	if(isset($fevr_meta_fields['post-video-controls']) && $fevr_meta_fields['post-video-controls'] == 'enabled') {
		$fevr_video_attributes[] = 'controls';
	}
?>

<?php if($fevr_show_thumbnail): ?>
<div class="post-video <?php echo (isset($fevr_featured_class) && !empty($fevr_featured_class) ? $fevr_featured_class : ''); ?>">
	<?php	
		// Video from File
		if((!empty($fevr_meta_fields['post-video-mp4']) || !empty($fevr_meta_fields['post-video-ogv'])) && (isset($fevr_meta_fields['post-video-source']) && $fevr_meta_fields['post-video-source'] == 'file')):
	?>
			<video preload="auto" <?php echo esc_attr(implode(' ', $fevr_video_attributes)); ?>>
				<?php if(!empty($fevr_meta_fields['post-video-mp4'])): ?>
				<source src="<?php echo esc_url($fevr_meta_fields['post-video-mp4']); ?>" type="video/mp4">
				<?php endif; ?>
				
				<?php if(!empty($fevr_meta_fields['post-video-mp4'])): ?>
				<source src="<?php echo esc_url($fevr_meta_fields['post-video-ogv']); ?>" type="video/ogg">
				<?php endif; ?>
				
				<?php esc_html_e('Your browser does not support the video tag.', 'fevr'); ?>
			</video>
			
	<?php
		// Embedded Video
		elseif((isset($fevr_meta_fields['post-video-embedded']) && !empty($fevr_meta_fields['post-video-embedded'])) && (isset($fevr_meta_fields['post-video-source']) && $fevr_meta_fields['post-video-source'] == 'embedded')):
		
			// If the field contains URL
			if(!filter_var($fevr_meta_fields['post-video-embedded'], FILTER_VALIDATE_URL) === false):
	?>
	
		<iframe src="<?php echo esc_url(fevr_url_to_embedded($fevr_meta_fields['post-video-embedded'])); ?>" frameborder="0" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
	
	<?php
			else:
				echo fevr_kses($fevr_meta_fields['post-video-embedded']);
			endif;
	?>

	<?php endif; ?>
</div>
<?php endif; ?>

<?php
	if(is_home() || is_archive() || fevr_is_luv_shortcode()) {
		// When masonry standard is active
		get_template_part( 'luvthemes/post-templates/post-archive', 'category');
	}
?>
<div class="post-content<?php fevr_echo($post_content_spacing); ?>">
	<?php
		if(is_home() || is_archive() || fevr_is_luv_shortcode()) {
			get_template_part( 'luvthemes/post-templates/post-archive', 'meta');
		}
	?>
	
	<?php if(is_home() || is_archive() || fevr_is_luv_shortcode()): ?>
	<h2 class="post-title<?php fevr_echo($fevr_blog_title_typography_classes);?>"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
	<?php endif; ?>
	
	<?php
		if((is_archive() || is_home() || fevr_is_luv_shortcode()) && fevr_check_luvoption('blog-excerpt', 1)) {
			echo '<p>';
			echo fevr_excerpt();
			echo '</p>';
		} else {
			the_content();
		}
	?>
</div>	

<?php
	if($show_bottom_meta): ?>
	<div class="post-meta-bottom">
		<div class="post-meta">
			<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr(get_the_title()); ?>"><?php the_time(get_option('date_format')); ?></a>
		</div>
		<?php
			if(fevr_check_luvoption('blog-likes-meta', 'hide-on-archive','!=') && fevr_check_luvoption('blog-likes-meta', 'hide-on-both','!=')) {
				fevr_get_like_icon();
			}
		?>
	</div>
<?php endif; ?>
