<?php
/**
 * Cross-sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cross-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 4.4.0
 */

defined( 'ABSPATH' ) || exit;

global $fevr_options;

if ( $cross_sells ) :
	$woocommerce_loop['columns'] = apply_filters( 'woocommerce_cross_sells_columns', $columns );
?>
	<div class="cart-collaterals cart-collaterals-cross-sells">
		<div class="cross-sells">
		<?php
		$heading = apply_filters( 'woocommerce_product_cross_sells_products_heading', fevr__w( 'You may be interested in&hellip;', 'fevr', 'woocommerce' ) );

		if ( $heading ) :
			?>
			<h2><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>

			
			<div class="products-container <?php echo isset($fevr_options['woocommerce-columns']) && !empty($fevr_options['woocommerce-columns']) ? $fevr_options['woocommerce-columns'] : ''; ?> <?php echo isset($fevr_options['woocommerce-product-box-style']) && !empty($fevr_options['woocommerce-product-box-style']) ? $fevr_options['woocommerce-product-box-style'] : 'wc-style-1'; ?>">

				<?php woocommerce_product_loop_start(); ?>
		
					<?php foreach ( $cross_sells as $cross_sell ) : ?>
		
						<?php
						 	$post_object = get_post( $cross_sell->get_id() );
		
							setup_postdata( $GLOBALS['post'] =& $post_object );
		
							wc_get_template_part( 'content', 'product' ); ?>
		
					<?php endforeach; ?>
		
				<?php woocommerce_product_loop_end(); ?>
			</div>
		</div>
	</div>

<?php endif;

wp_reset_postdata();
