<?php
/**
 * Order tracking form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/form-tracking.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $post;

?>

<form action="<?php echo esc_url( get_permalink( $post->ID ) ); ?>" method="post" class="woocommerce-form woocommerce-form-track-order track_order">

	<p><?php fevr_ew( 'To track your order please enter your Order ID in the box below and press the "Track" button. This was given to you on your receipt and in the confirmation email you should have received.', 'fevr', 'woocommerce' ); ?></p>

	<p class="form-row form-row-first"><label for="orderid"><?php fevr_ew( 'Order ID', 'fevr', 'woocommerce' ); ?></label> <input class="input-text" type="text" name="orderid" id="orderid" value="<?php echo isset( $_REQUEST['orderid'] ) ? esc_attr( wp_unslash($_REQUEST['orderid']) ) : ''; ?>" placeholder="<?php echo esc_attr(fevr__w('Found in your order confirmation email.', 'fevr', 'woocommerce')); ?>" /></p>
	<p class="form-row form-row-last"><label for="order_email"><?php fevr_ew( 'Billing email', 'fevr', 'woocommerce' ); ?></label> <input class="input-text" type="text" name="order_email" id="order_email" value="<?php echo isset( $_REQUEST['order_email'] ) ? esc_attr( wp_unslash($_REQUEST['order_email']) ) : ''; ?>" placeholder="<?php echo esc_attr(fevr__w('Email you used during checkout.', 'fevr', 'woocommerce')); ?>" /></p>
	<div class="clear"></div>

	<p class="form-row"><button type="submit" class="button btn btn-full btn-global" name="track" value="<?php echo esc_attr(fevr__w('Track', 'fevr', 'woocommerce')); ?>"><?php echo esc_html(fevr__w( 'Track', 'fevr', 'woocommerce' )); ?></button></p>
	<?php wp_nonce_field( 'woocommerce-order_tracking', 'woocommerce-order-tracking-nonce' ); ?>

</form>
