<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Whishlist
if (isset($_COOKIE['luv-woocommerce-wishlist'])){
	$wishlist = array_filter(json_decode(stripslashes($_COOKIE['luv-woocommerce-wishlist']), true));
}
else{
	$wishlist = array();
}

$products = array();
foreach ((array)$wishlist as $item){
	$_product = new WC_Product($item);
	if ($_product->get_id()){
		$products[] = $_product;
	}
}

?>

<h2><?php echo apply_filters( 'woocommerce_my_account_whishlist_title', __( 'Wishlist', 'fevr') ); ?></h2>
<table class="shop_table cart" cellspacing="0">
	<thead>
		<tr>
			<th class="product-remove">&nbsp;</th>
			<th class="product-thumbnail">&nbsp;</th>
			<th class="product-name"><?php fevr_ew( 'Product', 'fevr', 'woocommerce' ); ?></th>
			<th class="product-price"><?php fevr_ew( 'Price', 'fevr', 'woocommerce' ); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php do_action( 'woocommerce_before_cart_contents' ); ?>

		<?php if (count($wishlist) > 0):?>
                  <?php
      		foreach ($products as $_product) {
      			$product_id		= $_product->get_id();
      			$product_title	= $_product->get_title();

      			if ( $_product && $_product->exists() ) {
      				?>
      				<tr class="<?php echo esc_attr( apply_filters( 'woocommerce_cart_item_class', 'cart_item', $product_id) ); ?>">

      					<td class="product-remove">
      						<a href="#" class="luv-wc-wishlist" data-product-title="<?php echo esc_attr($product_title);?>" data-product-id="<?php echo esc_attr($product_id);?>" data-remove-closest="tr"><i class="ion-close"></i></a>
      					</td>

      					<td class="product-thumbnail">
      						<?php
      							$thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $product_id);

      							if ( ! $_product->is_visible() ) {
      								echo fevr_kses($thumbnail);
      							} else {
      								printf( '<a href="%s">%s</a>', esc_url( $_product->get_permalink( $product_id ) ), $thumbnail );
      							}
      						?>
      					</td>

      					<td class="product-name">
      						<?php
      							if ( ! $_product->is_visible() ) {
      								echo apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $product_id ) . '&nbsp;';
      							} else {
      								echo apply_filters( 'woocommerce_cart_item_name', sprintf( '<a href="%s">%s </a>', esc_url( $_product->get_permalink( $product_id ) ), $_product->get_title() ), $product_id);
      							}
      						?>
      					</td>

      					<td class="product-price">
      						<?php
      							echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $product_id);
      						?>
      					</td>

      				</tr>
      				<?php
      			}
      		}
            ?>
            <?php else:?>
                  <tr class="<?php echo esc_attr( apply_filters( 'woocommerce_cart_item_class', 'cart_item', $product_id) ); ?>">
                        <td colspan="4">
                              <?php esc_html_e('Your wishlist is empty.', 'fevr');?>
                              <a class="button wc-backward" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
                                    <?php _e( 'Return to shop', 'woocommerce' ) ?>
                              </a>
                        </td>
                  </tr>
            <?php endif;?>
	</tbody>
</table>
